<template>
  <div :class="`mt-pastille ${colorClass}`" :style="`--mt-pastille-size : ${size};--mt-cursor : ${cursor}`">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'MtPastille',
  props: {
    size: {
      type: String,
      default: () => '30px',
    },
    isBlue: Boolean,
    isBlack: Boolean,
    cursor: {
      type: String,
      default: () => 'default',
    },
  },
  computed: {
    colorClass() {
      if (this.isBlue) {
        return 'mt-pastille-blue';
      }
      if (this.isBlack) {
        return 'mt-pastille-black';
      }
      return '';
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-pastille {
  width: var(--mt-pastille-size);
  height: var(--mt-pastille-size);
  background-color: $brown-grey;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  cursor: var(--mt-cursor);
  font-size: calc(var(--mt-pastille-size) / 1.9);

  &.mt-pastille-blue {
    background-color: $primary;
  }
  &.mt-pastille-black {
    background-color: $grey-dark;
  }
}
</style>
